/* $Id: readcfg.h,v 1.2 1996/12/14 07:09:49 mff Exp mff $ */
#ifndef _readcfg_h
#define _readcfg_h

#include "Config.h"
#include "iphdr.h"
#include "ftnaddr.h"

#define MAXCFGLINE 1024

#define MAXSYSTEMNAME 120
#define MAXSYSOPNAME 120
#define MAXLOCATIONNAME 120
#define MAXNODEINFO 120
#define MAXPWDLEN 40

typedef struct _FTN_DOMAIN FTN_DOMAIN;
struct _FTN_DOMAIN
{
  char name[MAX_DOMAIN + 1];
  char *path;				    /* Outbound dir's path, ie
					     * "/var/spool/fido" */
  char *dir;				    /* Outbound dir's name, ie "outb" */
  int *z;
  FTN_DOMAIN *alias4;
  FTN_DOMAIN *next;
};

typedef struct _FTN_NODE FTN_NODE;
struct _FTN_NODE
{
  FTN_ADDR fa;
  char host[MAXHOSTNAMELEN + 1];
  char pwd[MAXPWDLEN + 1];
  char filebox[MAXPATHLEN + 1];
};

extern unsigned short iport;
extern unsigned short oport;
extern int oblksize;
extern int nettimeout;
extern int rescan_delay;
extern int call_delay;
extern int max_servers;
extern int max_clients;
extern char sysname[MAXSYSTEMNAME + 1];
extern char sysop[MAXSYSOPNAME + 1];
extern char location[MAXLOCATIONNAME + 1];
extern char nodeinfo[MAXNODEINFO + 1];
extern char inbound[MAXPATHLEN + 1];
extern char inbound_nonsecure[MAXPATHLEN + 1];

extern int nAddr;
extern FTN_ADDR *pAddr;

extern int nNod;
extern FTN_NODE *pNod;

/*
 * Functions to read configuration and to find data in it.
 */
void readcfg (char *path);
FTN_NODE *get_node_info (FTN_ADDR *fa);

/* 
 * 0 == not found
 */
FTN_DOMAIN *get_domain_info (char *domain_name);
FTN_DOMAIN *get_def_domain ();

#endif
